import { fetch, post } from '@api/api';

/**
 * 查询角色
 * @param params 请求参数
 * @param headers 请求头
 */
export function loadTree(params = {}, headers = {}) {
  return fetch({
    url: '/upms/data-scope/tree',
    params: params,
    headers: headers
  });
}

/**
 * 查询菜单树已选择的子节点
 * @param params 请求参数
 * @param headers 请求头
 */
export function loadTreeSelected(params = {}, headers = {}) {
  return fetch({
    url: '/upms/data-scope/tree/selected',
    params: params,
    headers: headers
  });
}
/**
 * 新增资源授权
 * @param params 请求参数
 * @param headers 请求头
 */
export function createAuthDepartment(params = {}, headers = {}) {
  return post({
    url: '/upms/data-scope/auth/create',
    params: params,
    headers: headers
  });
}
